
QGIS Application - Bug report #12335

Processing can't find SAGA in Debian [regression]

2015-03-07 11:03 AM - Borys Jurgiel

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20511

Description

When starting Processing, it looks for SAGA by running subprocess.Popen(['saga_cmd', '-v'], shell=True) in

SagaUtils.getSagaInstalledVersion

However, at least in Debian, passing arguments as a list seems to not work in the shell mode, so it should be either simple 'saga_cmd -v',

or the shell mode should be False.

Associated revisions

Revision eaf17e56 - 2015-06-19 07:18 AM - Martin Dobias

Fix SAGA detection on some Debian/Ubuntu systems (fixes #12335)

Revision 230ff6f8 - 2015-07-07 06:15 PM - Martin Dobias

Fix SAGA detection on some Debian/Ubuntu systems (fixes #12335)

(cherry picked from commit eaf17e56c2ff6c74eb43319096a177fc301d5a39)

History

#1 - 2015-05-25 08:30 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this still true?

#2 - 2015-05-25 08:31 AM - Paolo Cavallini

Not confirmed here, on Sid.

#3 - 2015-06-08 11:47 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.
#4 - 2015-06-09 12:30 AM - Borys Jurgiel

Sorry, it's a pitty the hub doesn't send any email notification when the status is changed to feedback.

Now in master it's even worse - Saga is completely gone from the algorithm tree.

#5 - 2015-06-10 12:37 AM - Jürgen Fischer

- Status changed from Closed to Feedback

#6 - 2015-06-10 12:42 AM - Giovanni Manghi

Borys Jurgiel wrote:

Sorry, it's a pitty the hub doesn't send any email notification when the status is changed to feedback.

Now in master it's even worse - Saga is completely gone from the algorithm tree.

do you have at least saga 2.1.2 installed? Processing do not support anymore any saga version lower than 2.1.2

#7 - 2015-06-10 12:50 AM - Borys Jurgiel

Yes, 2.1.2. I'll investigate it later this week.

#8 - 2015-06-18 10:21 PM - Martin Dobias

- Status changed from Feedback to Closed

Fixed in changeset commit:"eaf17e56c2ff6c74eb43319096a177fc301d5a39".
